Class ApiControllerMethodAction

  • All Implemented Interfaces:
    ApiControllerAction

    public class ApiControllerMethodAction
    extends Object
    implements ApiControllerAction
    Represents a single action that can be performed on a controller. An action is defined on the http-end as a http method and a path template, and on the Java-side as a method on the controller class. For example @Get("/helloWorld") public String hello(@RequestParam("greeter") String greeter) defines an action that responds to GET /helloWorld?greeter=something with a string.